> For the complete documentation index, see [llms.txt](https://www.opal-rt.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.opal-rt.com/docs/rt-lab/automation-api-and-scripting/python-dashboard-api/api-reference/class-reference/script.md).

# Script

*class* opalone.\_internal.scripts.Script(*script\_id*, *project\_id*)

<table data-header-hidden><thead><tr><th width="158.22222900390625"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>A Script representation stored in the backend server.</td></tr><tr><td><strong>Parameters</strong></td><td><p><strong>script_id</strong> (<em>str</em>) – The ID of the script.</p><p><strong>project_id</strong> (<em>str</em>) – The ID of the project that owns this script.</p></td></tr><tr><td><strong>Bases</strong></td><td>Ressource</td></tr></tbody></table>

## Method

### delete

delete()

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Delete the current resource, which is done by suppressing its ID.</td></tr><tr><td><strong>Parameters</strong></td><td>None</td></tr></tbody></table>

### run

run(*wait*)

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Run the current script.</td></tr><tr><td><strong>Parameters</strong></td><td></td></tr></tbody></table>

### stop

stop()

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Stop the current script.</td></tr><tr><td><strong>Parameters</strong></td><td>None</td></tr></tbody></table>

### to\_json

to\_json(*fields*, *values*)

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Convert this resource to a serialized JSON representation.</td></tr><tr><td><strong>Parameter</strong></td><td><ul><li><strong>fields</strong> (<em>tuple[str] | list[str]</em>) – Fields to include.</li><li><strong>values</strong> (<em>tuple[object] | list[object]</em>) – The value of each field</li></ul></td></tr><tr><td><strong>Return</strong></td><td>The serialized JSON representation.</td></tr><tr><td><strong>Return type</strong></td><td>str</td></tr></tbody></table>

## Property

### content

*property* conten&#x74;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>The content of the script.</td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### created\_at

*property* created\_a&#x74;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The creation date of the script.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### execution\_count

*property* execution\_coun&#x74;*: int*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The execution count of the script.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### is\_running

*property* is\_runnin&#x67;*: bool*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>Indicates if the script is running (True) or not (False).</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### last\_run\_date

*property* last\_run\_dat&#x65;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The last run date of the script.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### logs

*property* log&#x73;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The logs of the current script.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### modified\_at

*property* modified\_a&#x74;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The last-modified date of the script.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### name

*property* nam&#x65;*: str*

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>The name of the script.</td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>

### run\_state

*property* run\_stat&#x65;*:* [*ScriptState*](https://www.opal-rt.com/docs/rt-lab/automation-api-and-scripting/python-dashboard-api/api-reference/opalone.api.md#scriptstate)

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The run state of the script.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://www.opal-rt.com/docs/rt-lab/automation-api-and-scripting/python-dashboard-api/api-reference/class-reference/script.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
